#ifndef cholearrowparticle_h
#define cholearrowparticle_h

#include "ForwardDeclarations.h"
#include "cVector.h"
#include "cColor.h"
#include "OGLPlatformSpecific.h"
#include "cIntersectionResult.h"
#include "cStaticTriangleMesh.h"
#include "cTriangle.h"
#include "cBoundingBox.h"
#include "cParticleSystem.h"
#include "cParticle.h"
#include <vector>

class cHoleArrowParticle : public cParticle
{
public:
    cHoleArrowParticle(cParticleSystem* ps);
    
    void update(float dt);
    
    void draw();
    
private:
    float age_;
};


#endif